package top.leisuretimedock.dglabgame.core.capability;

import net.minecraftforge.common.capabilities.Capability;
import top.r3944realms.lib39.core.sync.CachedSyncManager;

import java.util.HashMap;
import java.util.Map;

public class DGLabDataSyncManager extends CachedSyncManager<Capability<AbstractDGLabData>, AbstractDGLabData> {
    public static Map<Capability<AbstractDGLabData>, AbstractDGLabData> playerDungeonData = new HashMap<>();
    @Override
    public Map<Capability<AbstractDGLabData>, AbstractDGLabData> getSyncMap() {
        return playerDungeonData;
    }
}
